rethinkdb_driver2 2.3.1

  • README.md
  • Installing
  • Versions
  • 53

rethinkdb

Fork of William Welch's driver, with updated crypto dependencies.

version 2.3.1 Build Status

Dart RethinkDB Driver

A Dart driver for RethinkDB v2.3.

Getting Started:

The driver api tries to align with the javascript and python RethinkDB drivers. You can read their documentation here.

to include this driver in your own project add the package to your pubspec.yaml file:

dependencies:
  rethinkdb_driver: '^2.3.1'

or to use bleeding edge:

dependencies:
  rethinkdb_driver:
    git: git://github.com/billysometimes/rethinkdb.git

or if you are a developer:

  dependencies:
    rethinkdb_driver:
      path: /path/to/your/cloned/rethinkdb_driver

then import the package into your project:

    import 'package:rethinkdb_driver/rethinkdb_driver.dart';

to run tests execute the following command from the project root:

warning: tests are run against a live database, but they do attempt to clean up after themselves

  pub run test  

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  rethinkdb_driver2: "^2.3.1"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:rethinkdb_driver2/rethinkdb_driver2.dart';
  
Version Uploaded Documentation Archive
2.3.1 Mar 2, 2017 Go to the documentation of rethinkdb_driver2 2.3.1 Download rethinkdb_driver2 2.3.1 archive

Analysis

We analyzed this package on Jun 19, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.63.0
  • pana: 0.11.3

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
53 / 100
Health:
Code health derived from static analysis. [more]
52 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
52 / 100
Overall score:
Weighted score of the above. [more]
53
Learn more about scoring.

Platforms

Detected platforms: other

Primary library: package:rethinkdb_driver2/rethinkdb_driver2.dart with components: io, mirrors.

Suggestions

  • Maintain CHANGELOG.md.

    Changelog entries help clients to follow the progress in your code.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 10 errors 69 hints.

    Strong-mode analysis of lib/src/ast.dart failed with the following error:

    line: 452 col: 25
    The return type 'Eq' isn't a 'bool', as defined by the method '=='.

    Strong-mode analysis of lib/src/generated/ql2.pb.dart failed with the following error:

    line: 142 col: 67
    The method tear-off '$checkItem' has type '(Query_AssocPair) → void' that isn't of expected type '(dynamic) → dynamic'. This means its parameter or return type does not match what is expected.

    Similar analysis of the following files failed:

    • lib/src/net.dart (error)
  • Package is getting outdated.

    The package was released 67 weeks ago.

  • Maintain an example.

    Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use rethinkdb_driver2.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.13.0 <2.0.0
crypto ^2.0.0 2.0.5
protobuf ^0.5.1+2 0.5.5 0.9.0
Transitive dependencies
charcode 1.1.1
collection 1.14.10
convert 2.0.1
fixnum 0.10.7
typed_data 1.1.5
Dev dependencies
test ^0.12.13+4